CatalogChannels
Publish a product to a channel
POST
/v1/channels/{channelId}/products/{productId}/publishPublish a product to a channel. A successful request returns HTTP 204 without a response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
channelId*string
Identifier of the sales channel.
productId*string
Identifier of the product.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/channels/7204558912004325301/products/7204558912004325301/publish" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"Empty